/*******************************************************************************
 * Copyright 2019 2Fi Business Solutions Ltd.
 *
 *
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.file;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "files_ref")
public class FileRef extends BaseEntity<Integer> {

	private static final long serialVersionUID = -9133877150126183428L;

	@Column(columnDefinition = "int", nullable = false)
	private int fileId;

	@Column(columnDefinition = "varchar(30)", nullable = false)
	private String refType;

	@Column(columnDefinition = "int", nullable = false)
	private int refId;

	@Column(columnDefinition = "varchar(50)")
	private String refCode;

	/** Default constructor */
	public FileRef() {
	}

	/*
	 * getters and setters
	 */

	public int getFileId() {
		return fileId;
	}

	public void setFileId(int fileId) {
		this.fileId = fileId;
	}

	public String getRefType() {
		return refType;
	}

	public void setRefType(String refType) {
		this.refType = refType;
	}

	public int getRefId() {
		return refId;
	}

	public void setRefId(int refId) {
		this.refId = refId;
	}

	public String getRefCode() {
		return refCode;
	}

	public void setRefCode(String refCode) {
		this.refCode = refCode;
	}

}
